import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Size here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Size extends Actor
{
    private Canvas myCanvas;
    private String role;
    private GreenfootImage background;

    public Size(Canvas myCanvas, String role) {
        this.myCanvas = myCanvas;
        this.role = role;
        if (role.equals("size")) {
            background = new GreenfootImage("size.png");
            background.drawString("10", 20, getImage().getHeight() / 2);
        }
        else if (role.equals("red")) {
            background = new GreenfootImage("red.png");
            background.drawString("0", 20, getImage().getHeight() / 2);
        }
        else if (role.equals("green")) {
            background = new GreenfootImage("green.png");
            background.drawString("0", 20, getImage().getHeight() / 2);
        }
        else {
            background = new GreenfootImage("blue.png");
            background.drawString("0", 20, getImage().getHeight() / 2);
        }
        setImage(background);
    }

    /**
     * Act - do whatever the Size wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        try {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            if (mouse.getButton() == 1 && mouse.getActor().equals(this)) {
                String newValue = Greenfoot.ask("New Value");
                if (role.equals("size")) {
                    myCanvas.setSize(Integer.parseInt(newValue));
                    setImage(new GreenfootImage("size.png"));
                }
                else if (role.equals("red")) {
                    myCanvas.setRed(Integer.parseInt(newValue));
                    setImage(new GreenfootImage("red.png"));
                }
                else if (role.equals("green")) {
                    myCanvas.setGreen(Integer.parseInt(newValue));
                    setImage(new GreenfootImage("green.png"));
                }
                else if (role.equals("blue")) {
                    myCanvas.setBlue(Integer.parseInt(newValue));
                    setImage(new GreenfootImage("blue.png"));
                }
                getImage().drawString(newValue, 20, getImage().getHeight() / 2);
            }
        }
        catch (Exception e) {}
    }    
}
