import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Canvas here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Canvas extends Actor
{
    private int red = 0;
    private int green = 0;
    private int blue = 0;
    private int size = 10;
    private MouseInfo mouse;
    private Color transparent = new Color(255, 255, 255);
    private MyWorld thisWorld;

    public Canvas (MyWorld thisWorld) {
        this.thisWorld = thisWorld;
    }
    
    /**
     * Act - do whatever the Mouse wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        try {
            this.mouse = Greenfoot.getMouseInfo();
            checkKeys();
        }
        catch (Exception e) {}
    }

    public void checkKeys() {
        int button = this.mouse.getButton();
        if (button == 1) {
            draw();
        }
        else if (button == 3) {
            erase();
        }
        if (Greenfoot.getKey().equals("t")) {
            thisWorld.nextBackground();
        }
    }

    public void draw() {
        background().setColor(new Color(red, green, blue));
        background().fillOval(this.mouse.getX() - size / 2, this.mouse.getY() - size / 2, size, size);
    }

    public void erase() {
        background().setColor(transparent);
        background().fillOval(this.mouse.getX() - size / 2, this.mouse.getY() - size / 2, size, size);
    }

    public GreenfootImage background() {
        return getWorld().getBackground();
    }

    public void setSize(int size) {
        this.size = size;
    }

    public void setRed(int red) {
        this.red = red;
    }

    public void setGreen(int green) {
        this.green = green;
    }

    public void setBlue(int blue) {
        this.blue = blue;
    }
}
