import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 800, 1); 
        Canvas myCanvas = new Canvas(this);
        addObject(myCanvas, 0, 0);
        addObject(new Size(myCanvas, "size"), 75, 50);
        addObject(new Size(myCanvas, "red"), 150, 50);
        addObject(new Size(myCanvas, "green"), 225, 50);
        addObject(new Size(myCanvas, "blue"), 300, 50);
    }
    
    public void nextBackground() {
        //creates an array of random number so the same operation is performed throughout the image
        int[] numArray = {Greenfoot.getRandomNumber(11), Greenfoot.getRandomNumber(11), Greenfoot.getRandomNumber(11)};
        //loops through every pixel of the image and sets it to a certain color
        for (int x = 0; x < getBackground().getWidth(); x++) {
            for (int y = 0; y < getBackground().getHeight(); y ++) {
                getBackground().setColorAt(x, y, new Color(randomOperation(x, y, numArray[0]) % 255, randomOperation(x, y, numArray[1]) % 255, randomOperation(x, y, numArray[2]) % 255));
            }
        }
    }

    /**
     * Method randomOperation
     * Picks a random operation to perform on the coordinates
     * @param x X coordinate
     * @param y Y coordinate
     * @param rndNum Random number
     * @return The result of the random operation
     */
    public int randomOperation(int x, int y, int rndNum) {
        int result = 0;
        switch (rndNum) {
            case 0:
            result = x;
            break;
        case 1:
            result = y;
            break;
        case 2:
            result = x * y;
            break;
        case 3:
            result = x / (y+1);
            break;
        case 4:
            result = y / (x + 1);
            break;
        case 5:
            result = (int) Math.hypot(x, y);
            break;
        case 6:
            result = (int) Math.abs(x - y);
            break;
        case 7:
            result = x + y;
            break;
        case 8:
            result = (int) Math.sqrt(x * y);
            break;
        case 9:
            result = x ^ y;
            break;
        case 10:
            result = y ^ x;
            break;
        }
        return result;
    }
}
